Subject: bug#56773: 29.0.50; (readablep UNREADABLE) causes strange things

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 26 Jul 2022 15:24:22 +0200

Eli Zaretskii <[email-masked]> writes:

> I'm confused: "original function" or "original buffer"?

Original buffer.

> The original buffer is given by current_buffer before you call the
> function which could change that, and the unwind_protect call should
> be before calling that function.
>
> But you already know all that, so I'm afraid I'm missing something
> here.

Yes -- look at the call sequence from prin1-to-string and down to where
we're calling the function.  The buffer that was current when
prin1-to-string was called is not available from print_vectorlike, as
far as I can see.